# Generated by Django 3.0.2 on 2020-01-21 16:43

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('bboard', '0002_auto_20200119_1353'),
    ]

    operations = [
        migrations.CreateModel(
            name='Spare',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
            ],
        ),
        migrations.AddField(
            model_name='bb',
            name='kind',
            field=models.CharField(choices=[('b', 'buy'), ('s', 'sell')], max_length=10, null=True),
        ),
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('spares', models.ManyToManyField(to='bboard.Spare')),
            ],
        ),
    ]
